/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { IGeolocationService, IGeolocationInformation, IPositionOptions } from "./geolocation.service.interface";
export declare class GeolocationService extends ServiceBase implements IGeolocationService {
    getPosition(callback: (info: IGeolocationInformation) => void, onError?: (error: PositionError) => void, options?: IPositionOptions): void;
    watchPosition(callback: (info: IGeolocationInformation) => void, onError?: (error: PositionError) => void, options?: IPositionOptions): number;
    clearWatch(watchId: number): void;
    isAvailable(): boolean;
    private getGeolocator();
    static factory(): GeolocationService;
}
